| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csBlockAllocatorDisposeDelete< T > Class Template Reference
[Memory Management]

Block allocator disposal mixin that just destructs an instance. More...

`#include <csutil/blockallocator.h>`

List of all members.

## Public Member Functions
template<typename BA>
| csBlockAllocatorDisposeDelete (const BA &, bool legit)
| Construct with a given block allocator.
void | Dispose (void *p)
| Destructs the object.

## Detailed Description

### template<typename T>
class csBlockAllocatorDisposeDelete< T >

Block allocator disposal mixin that just destructs an instance.

Definition at line 38 of file blockallocator.h.

## Constructor & Destructor Documentation

template<typename T>
template<typename BA>

csBlockAllocatorDisposeDelete< T >::csBlockAllocatorDisposeDelete | ( | const BA & | ,
|  | bool | legit |
| ) |  |  | `[inline]`

Construct with a given block allocator.

Definition at line 45 of file blockallocator.h.

## Member Function Documentation

template<typename T>

void csBlockAllocatorDisposeDelete< T >::Dispose | ( | void * | p | ) | `[inline]`

Destructs the object.

Definition at line 48 of file blockallocator.h.

The documentation for this class was generated from the following file:

- csutil/blockallocator.h